Reeve
DevelopersAPI ReferenceVoice

Create Call Endpoint

Place an outbound call from a provisioned agent and bind the SID.

POST
/api/voice/v1/calls

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/voice/v1/calls" \  -H "Content-Type: application/json" \  -d '{    "agent_id": "string",    "to_number": "string"  }'
{  "agent_id": "string",  "contact_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "direction": "string",  "dispatch_state": "string",  "extracted": {},  "from_number": "string",  "id": "string",  "outcome": "string",  "provider_call_id": "string",  "recording_url": "string",  "status": "string",  "to_number": "string",  "transcript": [    null  ],  "updated_at": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "ctx": {},      "input": null,      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}